diff --git a/src/backend/storage/smgr/md.c b/src/backend/storage/smgr/md.c
index 10e0271473..a9b71058fe 100644
--- a/src/backend/storage/smgr/md.c
+++ b/src/backend/storage/smgr/md.c
@@ -840,6 +840,10 @@ mdwrite(SMgrRelation reln, ForkNumber forknum, BlockNumber blocknum,
 										nbytes,
 										BLCKSZ);
 
+	ereport(ERROR,
+			(errcode(ERRCODE_INTERNAL_ERROR),
+			 errmsg("Emulate exception in mdwrite() when writing to disk")));
+
 	if (nbytes != BLCKSZ)
 	{
 		if (nbytes < 0)
